List Domains
Project-scoped operation. Resource fields may include additional operation-specific values.
GET
/
shield
/
domains
List Domains
curl --request GET \
--url https://api.aptranet.com/shield/domains \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/shield/domains"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/shield/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/shield/domains"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"results": [
{
"id": 2,
"name": "<string>",
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"count": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>",
"error_description": "<string>"
}Authorizations
Project API access key.
Current secret for the access key.
Query Parameters
Available options:
id, name, status, created_at, -id, -name, -status, -created_at, total_requests, -total_requests, attacks_detected, -attacks_detected Required range:
0 <= x <= 100Required range:
0 <= x <= 100000Available options:
active, bypass, monitor, locked Example:
"*example.com"
Example:
1
List Domains
curl --request GET \
--url https://api.aptranet.com/shield/domains \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/shield/domains"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/shield/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/shield/domains"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"results": [
{
"id": 2,
"name": "<string>",
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"count": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>",
"error_description": "<string>"
}